local EventCollectibles = EventCollectibles

local function GetAchievementCategoryName( achievementId )
	local name = GetAchievementSubCategoryInfo(GetCategoryInfoFromAchievementId(achievementId))
	return name
end

local TEMPLATE_EVENT_MORPHS = GetString(SI_EVENTCOLLECTIBLES_SOURCE_MORPHS)

EventCollectibles.ext = {
	cakes = {
		-- Should be listed from newest to oldest
		12422, -- Jubilee Cake 2024
		11089, -- Jubilee Cake 2023
		10287, -- Jubilee Cake 2022
		9012, -- Jubilee Cake 2021
		7619, -- Jubilee Cake 2020
		5886, -- Jubilee Cake 2019
		4786, -- Jubilee Cake 2018
		1109, -- Jubilee Cake 2017
		356, -- Jubilee Cake 2016
	}
}

EventCollectibles.data = {
	----------------------------------------------------------------------------
	{
		-- Special empty category for the filter dropdown
		GetString(SI_EVENTCOLLECTIBLES_SOURCE_ALL), { }
	},


	----------------------------------------------------------------------------
	{
		zo_strformat(TEMPLATE_EVENT_MORPHS, "2018-2020"),
		{
			{ 5710, 6706, 6707, 6708, 6709 }, -- Nascent Indrik
			{ 5067, 6659, 6660, 6661, 6662 }, 5085, -- Dawnwood / Springtide Indrik
			{ 5068, 6694, 6695, 6696, 6697 }, 5087, -- Luminous / Shimmering Indrik
			{ 5549, 6698, 6699, 6700, 6701 }, 6616, -- Onyx / Ebon-Glow Indrik
			{ 5550, 6702, 6703, 6704, 6705 }, 6617, -- Pure-Snow / Frost-Light Indrik
			{ 6942, 7021, 7022, 7023, 7024 }, 6950, -- Spectral / Haunting Indrik
			{ 7219, 7791, 7792, 7793, 7794 }, 7278, -- Icebreath / Rimedusk Indrik
			{ 7468, 8126, 8127, 8128, 8129 }, 7503, -- Mossheart / Sapling Indrik
			{ 7467, 8465, 8466, 8467, 8468 }, 7502, -- Crimson / Rosethorn Indrik
		}
	},


	----------------------------------------------------------------------------
	{
		zo_strformat(TEMPLATE_EVENT_MORPHS, 2021),
		{
			{ 8124, 8866, 8867, 8868 }, -- Unstable Morpholith
			{ 8469, 8869, 8870, 8871 }, -- Deadlands Scorcher
			{  774, 9085, 9086, 9087 }, -- Deadlands Firewalker
			{ 8880, 9162, 9163, 9164 }, -- Dagonic Quasigriff
			{ 9649, 9737, 9738, 9739, 9740, 9741 }, -- Doomchar Plateau
		}
	},


	----------------------------------------------------------------------------
	{
		zo_strformat(TEMPLATE_EVENT_MORPHS, 2022),
		{
			{ 9437, 10068, 10069, 10070 }, -- Soulfire Dragon Illusion
			{ 9436, 10071, 10072, 10179 }, -- Scales of Akatosh
			{ 9775, 10232, 10233, 10234 }, -- Aurelic Quasigriff
			{ 9790, 10333, 10334, 10335 }, -- Daggerfall Paladin
			{ 10587, 10588, 10589, 10590 }, -- Sacred Hourglass of Alkosh
		}
	},


	----------------------------------------------------------------------------
	{
		zo_strformat(TEMPLATE_EVENT_MORPHS, 2023),
		{
			{ 10697, 11051, 11052, 11053 }, -- Passion Dancer Blossom
			{ 10913, 11055, 11056, 11057 }, -- Passion's Muse
			{ 10661, 11176, 11177, 11178 }, -- Meadowbreeze Memories
			{ 10702, 11428, 11429, 11430 }, -- Passion Dancer's Attire
			{ 10703, 11509, 11510, 11511 }, -- Hoardhunter Ursauk
		}
	},


	----------------------------------------------------------------------------
	{
		zo_strformat(TEMPLATE_EVENT_MORPHS, 2024),
		{
			{ 11440, 11893, 11894, 11895 }, -- Molag Bal Illusion Imp
			{ 11497, 11896, 11897, 11898 }, -- Planemeld's Master Body Art
			{ 11875, 12408, 12409, 12410 }, -- Master of Schemes
		--	{ 11880, 12508, 12509, 12510 }, -- Anchorborn Welwa
		}
	},


	----------------------------------------------------------------------------
	{
		GetAchievementCategoryName(1892), -- Whitestrake's Mayhem
		{
			1248, -- Midyear Victor's Laurel Wreath

			6365, 6493, 6494, -- Alliance Banners
			8196, 8197, 8198, -- Alliance Breton Terriers
			9347, 9348, 9349, -- Alliance Banner-Bearer Shields
			9350, 9351, 9352, -- Alliance Banner-Bearer Staves
			9402, 9403, -- The Black Drake's Warpaint
			9877, 9878, -- Battle-Scarred Markings

			6586, 6587, 6588, 6589, 6590, 6591, 6592, -- Second Legion
			7310, 7311, 7312, 7313, 7314, 7315, 7316, -- Legion Zero
			8343, 8344, 8345, 8346, 8347, 8348, 8349, 8350, 8351, 8352, -- Tools of Domination
			8356, 8357, 8358, 8359, 8360, 8361, 8362, -- Legion Zero Vigiles
			8749, 8750, 8751, 8752, 8753, 8754, 8755, -- Ebonsteel Knight
			9746, 9747, 9748, 9749, 9750, 9751, 9752, -- Black Drake Clanwrap
			10279, 10280, 10281, 10282, 10283, 10284, 10285, -- House Dufort Banneret
			10710, 10711, 10712, 10713, 10714, 10715, 10716, -- Gloamsedge
			11243, 11244, 11245, 11246, 11247, 11248, 11249, -- Sancre Tor Sentry (Body)
			11250, 11251, 11252, 11253, 11254, 11255, 11256, 11257, 11258, 11259, -- Sancre Tor Sentry (Weapons)
			11824, 11825, 11826, 11827, 11828, 11829, 11830, -- Dovah's Du'ul
		--	12188, 12189, 12190, 12191, 12192, 12193, 12194, -- Ayleid Lich
		}
	},


	----------------------------------------------------------------------------
	{
		GetAchievementCategoryName(1723), -- Jester's Festival
		{
			1107, -- Crown of Misrule
			1108, -- Cherry Blossom Branch
			1167, -- The Pie of Misrule
			4797, -- Jester's Scintillator
			5885, -- Festive Noise Maker
			5887, -- Jester's Festival Joke Popper
			5910, -- Obnoxious Mute Face Paint
			{ 7270, 7609, 7610, 7611, 7612, 7613, 7614, 7615 }, -- Sovereign Sow
			9006, -- Playful Prankster's Surprise Box
			10235, -- Cadwell's Surprise Box
			10665, -- Jester's Daedroth Suit

			6097, 6098, 6099, 6100, 6101, 6102, 6103, 6104, 6105, 6106, -- Cadwell
			7616, 7617, -- Broom and Bucket
			9020, 9021, 9022, 9023, 9024, 9025, 9026, -- Regal Regalia
			10000, 10001, 10002, 10003, 10004, 10005, 10006, -- Second Seed Raiment
			12002, 12003, 12004, 12005, 12006, 12007, 12008, -- Jester's Seeker Suit
		}
	},


	----------------------------------------------------------------------------
	{
		GetAchievementCategoryName(3827), -- Anniversary Jubilee
		EventCollectibles.ext.cakes,
		{
			9977, -- Aurora Firepot Spider
			11535, -- Jubilee Steed
			12437, 12438, 12439, 12440, 12441, -- Replicas

			6141, 6142, 6143, 6144, 6145, 6146, 6295, -- Prophet
			6147, 6148, 6149, 6150, 6151, 6152, 6153, 6155, -- Lyris Titanborn
			6157, 6158, 6159, 6160, 6161, 6162, 6163, 6164, -- Sai Sahan
			6165, 6167, 6168, 6169, 6170, 6171, 6172, 6173, -- Abnur Tharn
			7331, 7332, 7333, 7334, 7335, 7336, 7337, 7375, 7376, 7377, 7378, 7379, -- Jephrine Paladin
			9028, 9029, 9030, 9031, 9032, 9033, 9034, 9035, 9036, 9037, -- Imperial Champion
			9846, 9847, 9848, 9849, 9850, 9851, 9852, -- Saberkeel Panoply
			10898, 10899, 10900, 10901, 10902, 10903, 10904, -- Bonemold
			11995, 11996, 11997, 11998, 11999, 12000, 12001, -- Earthbone Ayleid
		}
	},


	----------------------------------------------------------------------------
	{
		GetString(SI_EVENTCOLLECTIBLES_SOURCE_ZENITHAR),
		{
			10292, 10293, 10294, 10295, 10296, 10297, 10298, 10299, -- High Rock Spellsword
			11090, 11091, 11092, 11093, 11094, 11095, -- Kwama Miner's Kit
			11392, 11393, 11394, 11395, 11396, 11397, 11398, 11399, 11400, 11401, -- Ashen Militia
		--	12181, 12182, 12183, 12184, 12185, 12186, 12187, 12430, -- Gold Road Dragoon
		}
	},


	----------------------------------------------------------------------------
	{
		GetString(SI_EVENTCOLLECTIBLES_SOURCE_UNDAUNTED),
		{
			6814, 6815, 6816, 6817, 6818, 6910, 6911, -- Opal Ilambris
			6819, 6820, 6821, 6822, 6823, 6908, 6909, -- Opal Engine Guardian
			6824, 6825, 6826, 6827, 6828, 6906, 6907, -- Opal Bloodspawn
			6829, 6830, 6831, 6832, 6833, 6912, 6913, -- Opal Troll King
			7751, 7752, 7753, 7754, 7755, 7756, 7757, -- Opal Iceheart
			7758, 7759, 7760, 7761, 7762, 7763, 7764, -- Opal Lord Warden
			7765, 7766, 7767, 7768, 7769, 7770, 7771, -- Opal Nightflame
			7803, 7804, 7805, 7806, 7807, 7808, 7809, -- Opal Swarm Mother
			9807, 9808, 9809, 9810, 9811, 9812, 9813, -- Opal Chokethorn
		--	10420, 10421, 10422, 10423, 10424, 10425, 10426, -- Opal Earthgore
			10556, 10557, 10558, 10559, 10560, 10561, 10562, -- Opal Velidreth
			10746, 10747, 10748, 10749, 10750, 10751, 10752, -- Opal Rkugamz Sentinel
		}
	},


	----------------------------------------------------------------------------
	{
		GetAchievementCategoryName(1546), -- Witches Festival
		{
			439, -- Pumpkin Spectre Mask
			440, -- Scarecrow Spectre Mask
			479, -- Witchmother's Whistle
			1338, -- Hollowjack Spectre Mask
			1339, -- Thicketman Spectre Mask
			5547, -- Witches Festival Ghost Netch
			{ 5590, 6737, 6738, 6739, 6740, 6741, 6742, 6743 }, -- Apple-Bobbing Cauldron
			6643, -- Skeletal Marionette
			6648, -- Witch's Infernal Hat
			8079, -- Throwing Bones
			8654, -- Marshmallow Toasty Treat
			9389, -- Witch-Tamed Bear-Dog
			9530, -- Witch's Bonfire Dust
			10850, -- Ghastly Visitation
			11499, -- Tome of Forbidden Appetites

			6753, 6754, 6755, 6756, 6757, 6758, 6759, 6760, 6761, 6762, 6787, 6788, 6789, 6790, 6791, 6792, 6793, 6794, -- Glenmoril Wyrd
			8324, 8325, 8326, 8327, 8328, 8329, 8330, 8331, 8332, 8333, -- Grave Dancer
			10360, 10361, 10362, 10363, 10364, 10365, 10366, -- Witchmother's Servant
			11588, 11589, 11590, 11591, 11592, 11593, 11594, -- Crowborne Hunter
		}
	},


	----------------------------------------------------------------------------
	{
		GetAchievementCategoryName(1677), -- New Life Festival
		{
			597, -- Sword-Swallower's Blade
			598, -- Juggler's Knives
			600, -- Fire-Breather's Torches
			601, -- Mud Ball Pouch
			753, -- Nordic Bather's Towel
			754, -- Colovian Filigreed Hood
			755, -- Colovian Fur Hood
			1168, -- Breda's Bottomless Mead Mug
			5725, -- Crystalfrost
			8221, -- Snowball Buddy
			8541, -- Powderwhite Coney

			7293, 7294, 7295, 7296, 7297, 7298, 7299, 7300, 7301, 7302, 7303, 7304, 7305, 7306, 7307, 7308, 7309, -- Skaal Explorer
			8730, 8731, 8732, 8733, 8734, 8735, 8736, 8737, 8738, 8739, -- Rkindaleft Dwarven
			9798, 9799, 9800, 9801, 9802, 9803, 9804, -- Nord Carved
			10720, 10721, 10722, 10724, 10725, 10726, -- Evergreen
			11817, 11818, 11819, 11820, 11821, 11822, 11823, -- Morningstar Frostwear
		}
	},


	----------------------------------------------------------------------------
	{
		GetString(SI_EVENTCOLLECTIBLES_SOURCE_GUILDS),
		{
			3720, 3721, 3722, 3723, 3724, 3725, 3726, 3727, 3728, 4892, -- Maelstrom weapons
			9297, 9298, 9299, 9300, 9301, 9302, 9303, 9304, 9305, 9306, -- Old Orsinium
			11810, 11811, 11812, 11813, 11814, 11815, 11816, -- Bristleback Hunter
		}
	},


	----------------------------------------------------------------------------
	{
		GetString(SI_EVENTCOLLECTIBLES_SOURCE_MURKMIRE),
		{
			{ 6933, 7353, 7354, 7355, 7356, 7357, 7358, 7359 }, -- Wooden Grave-Stake
		}
	},


	----------------------------------------------------------------------------
	{
		GetString(SI_EVENTCOLLECTIBLES_SOURCE_DAEDRIC_WAR),
		{
			8125, -- Slag Town Diver
			8186, -- Microtized Verminous Fabricant
			8658, -- Thetys Ramarys's Bait Kit
			9401, -- Gloam Gryphon Fledgling

			8116, 8117, 8118, 8119, 8120, 8121, 8122, 8123, -- Snowhawk Mage
			8674, 8675, 8676, 8677, 8678, 8679, 8680, -- Doctrine Ordinator
			9753, 9754, 9755, 9756, 9757, 9758, 9759, 9760, 9761, 9762, -- Evergloam Champion weapons
		}
	},


	----------------------------------------------------------------------------
	{
		GetString(SI_EVENTCOLLECTIBLES_SOURCE_HIGHISLE),
		{
			10514, 10515, 10516, 10517, 10518, 10519, 10520, -- Oaken Order
		}
	},


	----------------------------------------------------------------------------
	{
		GetString(SI_EVENTCOLLECTIBLES_SOURCE_DARK_SKYRIM),
		{
			8367, 8368, 8369, 8370, 8371, 8372, 8373, -- Sovngarde Stalwart
			10336, 10337, 10338, 10339, 10340, 10341, -- Saarthal Scholar
		}
	},


	----------------------------------------------------------------------------
	{
		GetString(SI_EVENTCOLLECTIBLES_SOURCE_DRAGON),
		{
			9290, 9291, 9292, 9293, 9294, 9295, 9296, -- Ja'zennji Siir
			10727, 10728, 10729, 10730, 10731, 10732, 10733, -- Claw-Dance Acolyte
		}
	},


	----------------------------------------------------------------------------
	{
		GetString(SI_EVENTCOLLECTIBLES_SOURCE_TELVANNI),
		{
			11595, 11596, 11597, 11598, 11599, 11600, -- Apocrypha Expedition
		}
	},


	----------------------------------------------------------------------------
	{
		GetString(SI_EVENTCOLLECTIBLES_SOURCE_OBLIVION),
		{
			{ 6689, 7346, 7347, 7348, 7349, 7350, 7351, 7352 }, -- Voriplasm
			9429, 9430, -- Shadows of Blackwood
			9431, -- Pellucid Swamp Jelly
			11803, 11804, 11805, 11806, 11807, 11808, 11809, -- Y'ffre's Fallen-Wood
		}
	},


	----------------------------------------------------------------------------
	{
		GetString(SI_EVENTCOLLECTIBLES_SOURCE_MONSTERSETS),
		{
			-- Missing: Stone Husk
			5452, 5453, -- Ilambris
			5454, 5455, -- Molag Kena
			5456, 5457, -- Shadowrend
			5545, 5546, -- Grothdarr
			5607, 5608, -- Troll King
			5615, 5616, -- Iceheart
			5763, 5764, -- Sellistrix
			5924, 5925, -- Bloodspawn
			5926, 5927, -- Swarm Mother
			6044, 6045, -- Engine Guardian
			6174, 6175, -- Valkyn Skoria
			6251, 6252, -- Nightflame
			6388, 6389, -- Lord Warden
			6690, 6691, -- Mighty Chudan
			6692, 6693, -- Velidreth
			6721, 6722, -- Pirate Skeleton
			6744, 6745, -- Chokethorn
			6775, 6776, -- Spawn of Mephala
			6948, 6949, -- Infernal Guardian
			6956, 6957, -- Kra'gh
			6963, 6964, -- Sentinel of Rkugamz
			7329, 7330, -- Slimecraw
			7424, 7425, -- Stormfist
			7426, 7427, -- Balorgh
			7511, 7512, -- Mother Ciannait
			7513, 7514, -- Kjalnar's Nightmare
			7682, 7683, -- Scourge Harvester
			7749, 7750, -- Domihaus
			7784, 7785, -- Nerien'eth
			8147, 8148, -- Maw of the Infernal
			8167, 8168, -- Earthgore
			8176, 8177, -- Tremorscale
			8339, 8340, -- Selene
			8688, 8689, -- Vykosa
			8695, 8696, -- Thurvokun
			8761, 8762, -- Zaan
			8958, 8959, -- Symphony of Blades
			9001, 9002, -- Stonekeeper
			9015, 9016, -- Baron Zaudrus
			9017, 9018, -- Encratis's Behemoth
			9128, 9129, -- Grundwulf
			9273, 9274, -- Maarselok
			9588, 9589, -- Prior Thierric
		--	9629, 9630, -- Magma Incarnate
			10022, 10023, -- Lady Thorn
			10035, 10036, -- Kargaeda
			10042, 10043, -- Nazaray
			10563, 10564, -- Euphotic Gatekeeper
		--	10565, 10566, -- Archdruid Devyric
		--	11003, 11004, -- Ozezan the Inferno
		--	11010, 11011, -- Roksa the Warped
		}
	},
}
